System 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Security.Authentication.ExtendedProtection.Configuration.ServiceNameElement)) To be added.

The class is a collection of service principal names that represent a configuration element for an .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void ``

  The method ignores a duplicate name provided in the parameter.

  The class is a collection of Service Principal Names (SPNs) that represent a configuration element for an .

  The method adds a instance to this .

  The instance to add to this .
- Method
  4.0.0.0
  System.Void To be added.

  The method removes all configuration element objects from this .

- Method
  4.0.0.0
  System.Configuration.ConfigurationElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  The method retrieves the index of the specified configuration element in this .

  The index of the specified in this .

  The instance to retrieve the index of in this .
- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.Configuration.ServiceNameElement `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.Configuration.ServiceNameElement `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  The method removes a instance from this .

  The instance to remove from this .
- Method
  4.0.0.0
  System.Void `` To be added.

  The method removes a instance from this based on the specified.

  A that represents the instance to remove from this
- Method
  4.0.0.0
  System.Void `` To be added.

  The method removes a instance from this based on the index specified.

  The index of the instance to remove from this .